%{!?_licensedir:%global license %%doc}
%define debug_package %{nil}

Name: libcotp
Version: 1.2.3
Release: 1%{?dist}
Summary: C library that generates TOTP and HOTP according to RFC-6238
License: ASL 2.0
URL: https://github.com/paolostivanin/%{name}
Source0: %{url}/archive/v%{version}.tar.gz

BuildRequires: gcc gcc-c++ cmake3
BuildRequires: libbaseencode-devel libgcrypt-devel

%description
C library that generates TOTP and HOTP according to RFC-6238


%package devel
Summary: Header files, libraries and development documentation for %{name}.
Requires: %{name} = %{version}-%{release}


%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%autosetup


%build
%{cmake3} .
%if 0%{?fedora} >= 33
%{cmake_build}
%else
make %{?_smp_mflags}
%endif


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
%if 0%{?fedora} >= 33
%{cmake_install}
%else
%make_install
%endif


%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{_libdir}/libcotp.so.*


%files devel
%{_libdir}/libcotp.so
%{_libdir}/pkgconfig/cotp.pc
%{_includedir}/cotp.h


%changelog
* Tue Nov  3 2020 Philippe Kueck <projects@unixadm.org> - 1.2.3-1
- initial packaging
